import request from '@/utils/request'

// 查询市场监管_行政许可信息列表
export function listLicense(query) {
  return request({
    url: '/basicData/xcrMsAdministrativeLicense/findByPage',
    method: 'get',
    params: query
  })
}

// 查询市场监管_行政许可信息详细
export function getLicense(xhCodeId) {
  return request({
    url: '/basicData/xcrMsAdministrativeLicense/' + xhCodeId,
    method: 'get'
  })
}

// 新增市场监管_行政许可信息
export function addLicense(data) {
  return request({
    url: '/basicData/xcrMsAdministrativeLicense',
    method: 'post',
    data: data
  })
}

// 修改市场监管_行政许可信息
export function updateLicense(data) {
  return request({
    url: '/basicData/xcrMsAdministrativeLicense',
    method: 'put',
    data: data
  })
}

// 删除市场监管_行政许可信息
export function delLicense(xhCodeId) {
  return request({
    url: '/basicData/xcrMsAdministrativeLicense/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delLicenseBatch(ids) {
  return request.post('/basicData/xcrMsAdministrativeLicense/delete',ids)
}
